Skip to content

Retrieve a history of all completed jobs in the authenticated Vault. A completed job is any job which has started and finished running, including jobs which did not complete successfully. In-progress or queued jobs do not appear here.

GET/api/{version}/services/jobs/histories
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/services/jobs/histories
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "url": "/api/v23.1/services/jobs/histories?limit=50&offset=0", "responseDetails": { "total": 2753, "limit": 50, "offset": 0, "next_page": "/api/v23.1/services/jobs/histories?limit=50&offset=50" }, "jobs": [ { "job_id": 361402, "title": "User Account Activation", "status": "SUCCESS", "created_by": 1, "created_date": "2020-12-15T07:00:31.000Z", "modified_by": 1, "modified_date": "2020-12-16T07:05:06.000Z", "run_start_date": "2020-12-16T07:00:00.000Z", "run_end_date": "2020-12-16T07:06:07.000Z" }, { "job_id": 361401, "title": "Synchronize Portal Assets", "status": "SUCCESS", "created_by": 1, "created_date": "2020-12-15T05:01:24.000Z", "modified_by": 1, "modified_date": "2020-12-16T05:00:09.000Z", "run_start_date": "2020-12-16T05:00:00.000Z", "run_end_date": "2020-12-16T05:01:12.000Z" } ] }